org.apache.olingo.odata2.client.api.uri

## Interface URIBuilder

- All Known Implementing Classes:
    URIBuilderImpl

      public interface URIBuilder

  This is a URIBuilder class

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `URIBuilder` | `addCustomQueryOption(String paramName, Object paramValue)` Adds custom query option
    `URIBuilder` | `addQueryOption(QueryOption option, String value)` Adds the specified query option to the URI.
    `URIBuilder` | `appendCountSegment()` Appends count segment to the URI.
    `URIBuilder` | `appendEntitySetSegment(String entitySet)` Appends EntitySet segment to the URI.
    `URIBuilder` | `appendFunctionImportParameters(Map<String,Object> functionImportParams)` Appends function import parameters to the uri
    `URIBuilder` | `appendFunctionImportSegment(String functionImport)` Appends function import to the uri
    `URIBuilder` | `appendKeySegment(Map<String,Object> segmentValues)` Appends key segment to the URI, for multiple keys.
    `URIBuilder` | `appendKeySegment(Object val)` Appends key segment to the URI.
    `URIBuilder` | `appendMetadataSegment()` Appends metadata segment to the URI.
    `URIBuilder` | `appendNavigationSegment(String navigationProperty)` Appends navigation segment to the URI.
    `URIBuilder` | `appendPropertySegment(String segmentValue)` Appends property segment to the URI.
    `URIBuilder` | `appendValueSegment()` Appends value segment to the URI.
    `URI` | `build()` Build OData URI.
    `URIBuilder` | `expand(String... expandItems)` Adds expand query option.
    `URIBuilder` | `filter(String filter)` Adds filter query option.
    `URIBuilder` | `format(String format)` Adds format query option.
    `URIBuilder` | `orderBy(String order)` Adds orderby query option.
    `URIBuilder` | `select(String... selectItems)` Adds select query option.
    `URIBuilder` | `skip(int skip)` Adds skip query option.
    `URIBuilder` | `top(int top)` Adds top query option.

- - ### Method Detail

    - #### appendEntitySetSegment

          URIBuilder appendEntitySetSegment(String entitySet)

      Appends EntitySet segment to the URI.
      Parameters:
        `entitySet` - String entity set.
      Returns:
        current URIBuilder instance

    - #### appendNavigationSegment

          URIBuilder appendNavigationSegment(String navigationProperty)

      Appends navigation segment to the URI.
      Parameters:
        `navigationProperty` - String navigation property.
      Returns:
        current URIBuilder instance

    - #### appendKeySegment

          URIBuilder appendKeySegment(Object val)

      Appends key segment to the URI.
      Parameters:
        `val` - segment value.
      Returns:
        current URIBuilder instance

    - #### appendKeySegment

          URIBuilder appendKeySegment(Map<String,Object> segmentValues)

      Appends key segment to the URI, for multiple keys.
      Parameters:
        `segmentValues` - segment values.
      Returns:
        current URIBuilder instance

    - #### appendPropertySegment

          URIBuilder appendPropertySegment(String segmentValue)

      Appends property segment to the URI.
      Parameters:
        `segmentValue` - String segment value.
      Returns:
        current URIBuilder instance

    - #### expand

          URIBuilder expand(String... expandItems)

      Adds expand query option.
      Parameters:
        `expandItems` - items to be expanded in-line
      Returns:
        current URIBuilder instance
      See Also:
        `QueryOption.EXPAND`

    - #### select

          URIBuilder select(String... selectItems)

      Adds select query option.
      Parameters:
        `selectItems` - select items
      Returns:
        current URIBuilder instance
      See Also:
        `QueryOption.SELECT`

    - #### orderBy

          URIBuilder orderBy(String order)

      Adds orderby query option.
      Parameters:
        `order` - order string.
      Returns:
        current URIBuilder instance
      See Also:
        `QueryOption.ORDERBY`

    - #### appendCountSegment

          URIBuilder appendCountSegment()

      Appends count segment to the URI.
      Returns:
        current URIBuilder instance

    - #### appendMetadataSegment

          URIBuilder appendMetadataSegment()

      Appends metadata segment to the URI.
      Returns:
        current URIBuilder instance

    - #### format

          URIBuilder format(String format)

      Adds format query option.
      Parameters:
        `format` - media type acceptable in a response.
      Returns:
        current URIBuilder instance
      See Also:
        `QueryOption.FORMAT`

    - #### appendValueSegment

          URIBuilder appendValueSegment()

      Appends value segment to the URI.
      Returns:
        current URIBuilder instance

    - #### addQueryOption

          URIBuilder addQueryOption(QueryOption option,
                                    String value)

      Adds the specified query option to the URI.
      Concatenates value if the specified query option already exists.
      Parameters:
        `option` - query option.
        `value` - query option value.
      Returns:
        current URIBuilder instance

    - #### filter

          URIBuilder filter(String filter)

      Adds filter query option.
      Parameters:
        `filter` - filter string.
      Returns:
        current URIBuilder instance
      See Also:
        `QueryOption.FILTER`

    - #### top

          URIBuilder top(int top)

      Adds top query option.
      Parameters:
        `top` - maximum number of entities to be returned.
      Returns:
        current URIBuilder instance
      See Also:
        `QueryOption.TOP`

    - #### skip

          URIBuilder skip(int skip)

      Adds skip query option.
      Parameters:
        `skip` - number of entities to be skipped into the response.
      Returns:
        current URIBuilder instance
      See Also:
        `QueryOption.SKIP`

    - #### addCustomQueryOption

          URIBuilder addCustomQueryOption(String paramName,
                                          Object paramValue)

      Adds custom query option
      Parameters:
        `paramName` - parameter name
        `paramValue` - parameter value
      Returns:
        current URIBuilder instance

    - #### appendFunctionImportSegment

          URIBuilder appendFunctionImportSegment(String functionImport)

      Appends function import to the uri
      Parameters:
        `functionImport` -
      Returns:
        current URIBuilder instance

    - #### appendFunctionImportParameters

          URIBuilder appendFunctionImportParameters(Map<String,Object> functionImportParams)

      Appends function import parameters to the uri
      Parameters:
        `functionImportParams` -
      Returns:
        current URIBuilder instance

    - #### build

          URI build()

      Build OData URI.
      Returns:
        OData URI.

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.